org.eclipse.actf.model.dom.html

## Interface IErrorHandler

All Superinterfaces:
  IParserError

All Known Implementing Classes:
  AnchorUnderAnchorHandler, FormExpander, FormInserter, FramesetErrorHandler, HTMLErrorHandler, IgnoreFont, TRErrorHandler, UnknownElementErrorHandler

    public interface IErrorHandler
    extends IParserError

Node-level error handler interface.

### Field Summary

### Fields inherited from interface org.eclipse.actf.model.dom.html.IParserError

`ATTR_VALUE, BEFORE_ATTRNAME, BOM, DOCTYPE_MISSED, FLOATING_ENDTAG, ILLEGAL_ATTRIBUTE, ILLEGAL_CHILD, ILLEGAL_DOCTYPE, ILLEGAL_TOP_ELEMENT, MISC_ERR, STARTTAG_SYNTAX_ERR, SUDDEN_ENDTAG, TAG_NAME, UNKNOWN_ELEMENT`

### Method Summary

Methods
`boolean` `handleError(int code, IParser parser, Node errorNode)` Handles error whose type is specified by `code`

### Method Detail

#### handleError

    boolean handleError(int code,
                      IParser parser,
                      Node errorNode)
                        throws ParseException,
                               IOException,
                               SAXException

Handles error whose type is specified by `code`

Parameters:
  `code` - error type.
  `parser` - caller of this handler. This parser's state is easily changed by the referenced methods.
  `errorNode` - a node that causes the error.
Returns:
  `true` if error was handled. Otherwise `false` .
Throws:
  `ParseException`
  `IOException`
  `SAXException`
See Also:
  `IParser.getNode()`, `IParser.pushBackNode(org.w3c.dom.Node)`, `IParser.getExtraErrInfo()`, `IParser.getContext()`, `IParser.setContext(org.w3c.dom.Element)`